DIỄN ĐÀN TÂM NĂNG DƯỠNG SINH PHỤC HỒI SỨC KHỎE

DIỄN ĐÀN TÂM NĂNG DƯỠNG SINH PHỤC HỒI SỨC KHỎE

Chào mừng quý vị và các bạn đến với diễn đàn http://tamnangduongsinh.forumvi.com
 
Trang ChínhPortalCalendarGalleryTrợ giúpTìm kiếmThành viênNhómĐăng kýĐăng Nhập
Hỗ trợ trực tuyến- Admin
Admin : Nguyễn Gia Sơn
Chat với Skype Admin!
Đăng Nhập
Tên truy cập:
Mật khẩu:
Đăng nhập tự động mỗi khi truy cập: 
:: Quên mật khẩu
Tổng số lượt xem
Thống kê truy cập diễn đàn
Top posters
tamnangduongsinh (345)
 
Admin (315)
 
tamphat (130)
 
Latest topics
Tìm kiếm
 
 

Display results as :
 

 


Rechercher Advanced Search

KẾT QUẢ XỔ SỐ
Keywords

Share | 
 

 lisp chuyển các đối tượng về 1 layer

Go down 
Tác giảThông điệp
tamnangduongsinh



Tổng số bài gửi : 345
Tổng số điểm : 836
Được cảm ơn : 73
Join date : 05/12/2014

Bài gửiTiêu đề: lisp chuyển các đối tượng về 1 layer   Tue Jan 08, 2019 11:45 am

(defun c:o2l ( / ss pp lstoblayer)
(setq
lstoblayer
(list
(cons "DIMENSION" "DIM"); chuyen doi tuong Dimension ve layer DIM
(cons "HATCH" "HATCH")
(cons "INSERT" "BLOCK"); BLOCK (la doi tuong insert) ve layer BLOCK
(cons "*TEXT" "TEXT"); TEXT va MTEXT ve layer text
)
)

(foreach pp lstoblayer
(setq ss (ssget "X" (list (cons 0 (car pp)))))
(if (not (tblsearch "layer" (cdr pp)))
(command ".layer" "m" (cdr pp) "")
)
(command ".chprop" ss "" "la" (cdr pp) "")
)
(princ)
)

Lisp O2L (Object to layer) dưới đây sẽ giúp bạn. Nếu bạn muốn chuyển các đối tượng khác, bạn hãy copy rồi thêm dòng lệnh (cons "KIEUDOITUONG" "TENLAYER") vào cụm các lệnh cons phía dưới.

Nguồn bài viết : [You must be registered and logged in to see this link.]
Về Đầu Trang Go down
Xem lý lịch thành viên
tamnangduongsinh



Tổng số bài gửi : 345
Tổng số điểm : 836
Được cảm ơn : 73
Join date : 05/12/2014

Bài gửiTiêu đề: Re: lisp chuyển các đối tượng về 1 layer   Tue Jan 08, 2019 11:48 am

[You must be registered and logged in to see this link.]
Về Đầu Trang Go down
Xem lý lịch thành viên
tamnangduongsinh



Tổng số bài gửi : 345
Tổng số điểm : 836
Được cảm ơn : 73
Join date : 05/12/2014

Bài gửiTiêu đề: lisp chọn đối tượng có layer là layer hiện hành   Tue Jan 08, 2019 11:52 am

(defun c:x1 () (vl-cmdf "clayer" "DEFPOINTS" ))
(defun layset (/ LAY) (setvar "cmdecho" 0)
(setq LAY (entsel "\nChon doi tuong cho Layer hien hanh : "))
(if LAY     (progn    
(setq LAY (cdr (assoc 8 (entget (car LAY)))))
(command "_.layer" "set" LAY "") (princ (strcat "\nLayer : " LAY " da la hien hanh."))  )
           (progn
    (if (not ddlop) (load "ddlop"))  (if (setq LAY (ddlop))
           (progn
          (command "_.LAYER" "ON" LAY "THAW" LAY "SET" LAY "")  (princ (strcat "\nLayer : " LAY " da la hien hanh.")) ) ) ) )(princ) )
(defun c:cg     () (layset))
Về Đầu Trang Go down
Xem lý lịch thành viên
Sponsored content




Bài gửiTiêu đề: Re: lisp chuyển các đối tượng về 1 layer   

Về Đầu Trang Go down
 
lisp chuyển các đối tượng về 1 layer
Về Đầu Trang 
Trang 1 trong tổng số 1 trang

Permissions in this forum:Bạn không có quyền trả lời bài viết
DIỄN ĐÀN TÂM NĂNG DƯỠNG SINH PHỤC HỒI SỨC KHỎE :: Autocad :: Lisp autocad-
Chuyển đến